Skip to main content
GET
/
api
/
v1
/
schedulers
/
{schedulerUuid}
Error
A valid request URL is required to generate request examples
{
  "results": {
    "includeLinks": true,
    "enabled": true,
    "options": {
      "limit": 123,
      "formatted": true,
      "asAttachment": true
    },
    "dashboardName": "<string>",
    "dashboardUuid": null,
    "savedChartName": "<string>",
    "savedChartUuid": "<string>",
    "cron": "<string>",
    "format": "csv",
    "createdByName": "<string>",
    "createdBy": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "schedulerUuid": "<string>",
    "targets": [
      {
        "channel": "<string>",
        "schedulerUuid": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "schedulerSlackTargetUuid": "<string>"
      }
    ],
    "projectName": "<string>",
    "projectUuid": "<string>",
    "notificationFrequency": "always",
    "thresholds": [
      {
        "value": 123,
        "fieldId": "<string>",
        "operator": "greaterThan"
      }
    ],
    "projectSchedulerTimezone": "<string>",
    "timezone": "<string>",
    "message": "<string>",
    "latestRun": {
      "format": "csv",
      "createdByUserName": "<string>",
      "createdByUserUuid": "<string>",
      "resourceName": "<string>",
      "resourceUuid": "<string>",
      "resourceType": "chart",
      "logCounts": {
        "error": 123,
        "completed": 123,
        "started": 123,
        "scheduled": 123,
        "total": 123
      },
      "details": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "runStatus": "completed",
      "status": "scheduled",
      "scheduledTime": "2023-11-07T05:31:56Z",
      "schedulerName": "<string>",
      "schedulerUuid": "<string>",
      "runId": "<string>"
    }
  },
  "status": "ok"
}

Documentation Index

Fetch the complete documentation index at: https://lightdash-work-with-ai-section-1771841038.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

schedulerUuid
string
required

The uuid of the scheduler to update

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok